org.apache.calcite.avatica.proto

## Interface Common.AvaticaTypeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.AvaticaType, Common.AvaticaType.Builder

Enclosing class:
  Common

    public static interface Common.AvaticaTypeOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`Common.ColumnMetaData` `getColumns(int index)` Only present when name = STRUCT
`int` `getColumnsCount()` Only present when name = STRUCT
`List<Common.ColumnMetaData>` `getColumnsList()` Only present when name = STRUCT
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` Only present when name = STRUCT
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` Only present when name = STRUCT
`Common.AvaticaType` `getComponent()` Only present when name = ARRAY
`Common.AvaticaTypeOrBuilder` `getComponentOrBuilder()` Only present when name = ARRAY
`int` `getId()` `optional uint32 id = 1;`
`String` `getName()` `optional string name = 2;`
`com.google.protobuf.ByteString` `getNameBytes()` `optional string name = 2;`
`Common.Rep` `getRep()` `optional .Rep rep = 3;`
`int` `getRepValue()` `optional .Rep rep = 3;`
`boolean` `hasComponent()` Only present when name = ARRAY

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getId

    int getId()

`optional uint32 id = 1;`

#### getName

    String getName()

`optional string name = 2;`

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`optional string name = 2;`

#### getRepValue

    int getRepValue()

`optional .Rep rep = 3;`

#### getRep

    Common.Rep getRep()

`optional .Rep rep = 3;`

#### getColumnsList

    List<Common.ColumnMetaData> getColumnsList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumns

    Common.ColumnMetaData getColumns(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsCount

    int getColumnsCount()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsOrBuilderList

    List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsOrBuilder

    Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### hasComponent

    boolean hasComponent()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### getComponent

    Common.AvaticaType getComponent()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### getComponentOrBuilder

    Common.AvaticaTypeOrBuilder getComponentOrBuilder()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`